package gs.log.v0.data

import gs.log.v0.syntax.*
import cats.syntax.all.*

class LogMessageTests extends munit.FunSuite:

  test("should instantiate a log message from a string literal") {
    val msg = log"1 2 3 4"
    assertEquals(msg.show, "1 2 3 4")
  }

  test("should support equality checks") {
    val msg = log"1 2 3 4"
    val alt = log"1 2 3 4"
    assertEquals(msg, alt)
    assertEquals(msg.show, alt.show)
    assertEquals(msg.toString(), "1 2 3 4")
    assertEquals(msg.hashCode(), "1 2 3 4".hashCode())
  }

  test("should accept variables safe to log in clear text") {
    val x               = "foo".clearTextString()
    val y               = 10.clearTextString()
    val msg: LogMessage = log"x = $x, y = $y"
    val expected        = s"x = ${x.data}, y = ${y.data}"
    assertEquals(msg.show, expected)
  }
